Trisquel 7 is not old

18 replies [Last post]
William5565
Offline
Joined: 07/24/2017

Hello Everybody

I just wanted to say that Trisquel 7.0 is based off Ubuntu 14.04 Trusty Tahr and while it is 3 years old. It is still supported until 2019-04.

https://en.wikipedia.org/wiki/Ubuntu_(operating_system)#Releases

ADFENO
Offline
Joined: 12/31/2012

Completely agree! :)

Mangy Dog

I am a member!

I am a translator!

Offline
Joined: 03/15/2015

Thanks Wiliam ;-)

Pablo G

I am a member!

I am a translator!

Offline
Joined: 05/16/2012

I thought it was older! But I need other system for some needs...

SuperTramp83

I am a translator!

Offline
Joined: 10/31/2014

thisthreadagain.jpg

Mangy Dog

I am a member!

I am a translator!

Offline
Joined: 03/15/2015

thispicturelooksliketheoneiposted2yearsago.jpeg
butisIsNotTrisquelitoWhatisItThen.png

Screenshot from 2017_07_30-23_39_45.png
SuperTramp83

I am a translator!

Offline
Joined: 10/31/2014

muhfreedomdatiswithoutanydoubtgnewsense.jpg
wouldalsoaddpropernameshouldbegNONsense.png

:P

IrishUSA
Offline
Joined: 12/03/2016

Yes but it's not updated is it? Not the latest Ubuntu 14.04 bug fixes and security updates. And the apps in the repositories, even the apps pre installed by default, are also terribly old too, aren't they?

ADFENO
Offline
Joined: 12/31/2012

Actually, they are updated. You probably are still receiving updates,
and most package updates come signed with upstream's credentials instead
of Trisquel's (the only way to obtain these credential is by means of
the owner of these). :)

--
- [[https://libreplanet.org/wiki/User:Adfeno]]
- Palestrante e consultor sobre /software/ livre (não confundir com
gratis).
- "WhatsApp"? Ele não é livre. Por favor, use o GNU Ring ou o Tox.
- Contato: [[https://libreplanet.org/wiki/User:Adfeno#vCard]]
- Arquivos comuns aceitos (apenas sem DRM): Corel Draw, Microsoft
Office, MP3, MP4, WMA, WMV.
- Arquivos comuns aceitos e enviados: CSV, GNU Dia, GNU Emacs Org, GNU
GIMP, Inkscape SVG, JPG, LibreOffice (padrão ODF), OGG, OPUS, PDF
(apenas sem DRM), PNG, TXT, WEBM.

Ronmamita
Offline
Joined: 08/13/2017

ADFENO what about USB 3.0 drivers/port compatibility?

I'm awaiting the shipment of my Trisquel-7 laptop that has USB 2.0 ports and I want to use my 3.5 2TB HDD (internal) and looking on Amazon I see external enclosures with USB 3.0 ports (to charge laptops) and I'm concerned about compatibility problems.

I don't know anything about Trisquel 7 but I think USB 3.0 is compatible with USB 2.0 (or so I think that was the rule for windows). I don't know if new hardware is manufactured with the old USB 2.0 anymore.

SuperTramp83

I am a translator!

Offline
Joined: 10/31/2014

>ADFENO what about USB 3.0 drivers/port compatibility?

/nick Adfeno

Don't worry, your 3.0 ports will work just fine, no need to do anything about it either, they just werk. :)

/nick Supertramp83

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Linux has been supporting USB 3 since 2009. :-)

Now, if you indeed face issues with recent hardware, here is how to rather easily get a recent kernel: https://jxself.org/linux-libre/

Ronmamita
Offline
Joined: 08/13/2017

LOL, Ha-ha so windows and macs were late to support USB3.0? Wow, I was out of the loop.

Thanks Magic Banana for the APT Repository link.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Support in Windows and MacOS was added three years later.

Christian Lange
Offline
Joined: 08/16/2017

Does USB 3.0 work without binary blobs? I have read the opposite.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

USB 3.0 does work without binary blobs. Blobs are removed from Trisquel's kernel.

Alij
Offline
Joined: 05/07/2012

Trisquel 6 is not old either, we just growup. I'm gonna make a gnusocial group called "Trisquel 6 users are the best ones"

Legimet
Offline
Joined: 12/10/2013

It's not a good idea to stay on Trisquel 6.

Alij
Offline
Joined: 05/07/2012

Of course not, just kidding. Still i'm too lazy to upgrade.